## cfv 1.11

=== Makefile ===
PYTHON=python
prefix=/usr/local
exec_prefix=${prefix}

#finds the site-packages dir that matches the selected prefix, or if none do, falls back to wherever it can find one..
pkgdir=`$(PYTHON) -c 'import sys,re; x=filter(lambda x: re.match("$(prefix).*site-packages",x),sys.path); y=filter(lambda y: re.search("site-packages",y),sys.path); x.sort(lambda x,y: cmp(len(x),len(y))); y.sort(lambda x,y: cmp(len(x),len(y))); x.extend(y); print x[0]'`
#nice little expression, huh? ;)

bindir=${exec_prefix}/bin
mandir=${prefix}/man
install=/usr/bin/install -c

foo:
	@echo 'to install cfv, type make install or install-wrapper.'
	@echo "manpage will be installed to: $(mandir)/man1"
	@echo ""
	@echo '"make install" will install like a standard script in'
	@echo "$(bindir)"
	@echo ""
	@echo '"make install-wrapper" will install a byte-compiled version in'
	@echo "$(pkgdir)"
	@echo 'with a small wrapper script in $(bindir)'
	@echo 'this allows for faster loading time since python does not need'
	@echo 'to parse the entire script every load.'
	@echo ""
	@echo 'You may edit the Makefile if you want to install somewhere else.'
	@echo ""
	@echo "Note that this method does not change how fast cfv actually runs,"
	@echo "merely the time it takes from when you hit enter till it actually"
	@echo "starts doing something.  For processing lots of files, this amount"
	@echo "of time will be inconsequential."


#this will create a wrapper script that calls python directly (if we can find it), or using the bin/env trick.
#we don't need to check for PYTHON being set to something, since os.path.join handles the case of the component being an absolute path
cfv.wrapper:
	$(PYTHON) -c 'import string,os; py=filter(lambda x: os.path.isfile(x),map(lambda x: os.path.join(x,"$(PYTHON)"),string.split(os.environ["PATH"],":"))); py.append(" /usr/bin/env $(PYTHON)"); open("cfv.wrapper","w").write("#!%s\nimport sys,cfv\ncfv.main(sys.argv[1:])\n"%py[0])'

install-wrapper-only: cfv.wrapper install_man
	$(install) -m 0644 cfv $(DESTDIR)$(pkgdir)/cfv.py
	$(install) -m 0755 cfv.wrapper $(DESTDIR)$(bindir)/cfv

install-wrapper: install-wrapper-only
	$(PYTHON) -c "import py_compile; py_compile.compile('$(DESTDIR)$(pkgdir)/cfv.py')" 
	$(PYTHON) -O -c "import py_compile; py_compile.compile('$(DESTDIR)$(pkgdir)/cfv.py')" 

install: install_man
	$(install) -m 0755 cfv $(DESTDIR)$(bindir)

install_man:
	$(install) -m 0644 cfv.1 $(DESTDIR)$(mandir)/man1

clean:
	-rm *.py[co] cfv.wrapper

distclean: clean
	-rm -r tags test/test.log `find . -regex '.*~\|.*/\.#.*' -o -name CVS`

## cfv 1.16

=== Makefile ===
--- 
+++ 
@@ -9,6 +9,9 @@
 bindir=${exec_prefix}/bin
 mandir=${prefix}/man
 install=/usr/bin/install -c
+install_dir=${install} -d
+install_data=${install} -m 0644
+install_script=${install} -m 0755
 
 foo:
 	@echo 'to install cfv, type make install or install-wrapper.'
@@ -34,24 +37,47 @@
 #this will create a wrapper script that calls python directly (if we can find it), or using the bin/env trick.
 #we don't need to check for PYTHON being set to something, since os.path.join handles the case of the component being an absolute path
 cfv.wrapper:
-	$(PYTHON) -c 'import string,os; py=filter(lambda x: os.path.isfile(x),map(lambda x: os.path.join(x,"$(PYTHON)"),string.split(os.environ["PATH"],":"))); py.append(" /usr/bin/env $(PYTHON)"); open("cfv.wrapper","w").write("#!%s\nimport sys,cfv\ncfv.main(sys.argv[1:])\n"%py[0])'
+	$(PYTHON) -c 'import string,os; py=filter(lambda x: os.path.isfile(x),map(lambda x: os.path.join(x,"$(PYTHON)"),string.split(os.environ["PATH"],":"))); py.append(" /usr/bin/env $(PYTHON)"); open("cfv.wrapper","w").write("#!%s\nimport cfv\ncfv.main()\n"%py[0])'
 
-install-wrapper-only: cfv.wrapper install_man
-	$(install) -m 0644 cfv $(DESTDIR)$(pkgdir)/cfv.py
-	$(install) -m 0755 cfv.wrapper $(DESTDIR)$(bindir)/cfv
+$(DESTDIR)$(mandir)/man1 $(DESTDIR)$(bindir):
+	$(install_dir) $@
+
+install-wrapper-only: $(DESTDIR)$(bindir) cfv.wrapper install_man
+	$(install_data) cfv $(DESTDIR)$(pkgdir)/cfv.py
+	$(install_script) cfv.wrapper $(DESTDIR)$(bindir)/cfv
 
 install-wrapper: install-wrapper-only
 	$(PYTHON) -c "import py_compile; py_compile.compile('$(DESTDIR)$(pkgdir)/cfv.py')" 
 	$(PYTHON) -O -c "import py_compile; py_compile.compile('$(DESTDIR)$(pkgdir)/cfv.py')" 
 
-install: install_man
-	$(install) -m 0755 cfv $(DESTDIR)$(bindir)
+install: $(DESTDIR)$(bindir) install_man
+	$(install_script) cfv $(DESTDIR)$(bindir)/cfv
 
-install_man:
-	$(install) -m 0644 cfv.1 $(DESTDIR)$(mandir)/man1
+install_man: $(DESTDIR)$(mandir)/man1
+	$(install_data) cfv.1 $(DESTDIR)$(mandir)/man1/cfv.1
 
 clean:
 	-rm *.py[co] cfv.wrapper
 
 distclean: clean
-	-rm -r tags test/test.log `find . -regex '.*~\|.*/\.#.*' -o -name CVS`
+	-rm -r cfv.nsi tags test/test.log `find . -regex '.*~\|.*/\.#.*' -o -name CVS -o -name .cvsignore`
+
+distclean-unixsrc: distclean
+	-rm cfv.bat cfv.txt
+
+cfv.txt: %.txt: %.1
+	man -l $< | sed -e 's/.//g' > $@
+
+distclean-winsrc: distclean cfv.txt
+	-rm Makefile cfv.1
+	mv cfv cfv.py
+	todos *.txt COPYING README Changelog cfv.bat cfv.py test/*.py
+
+nsis-prepare: cfv.txt
+	#hahaha, ugly hardcodedhackness
+	cp cfv.txt cfv.nsi ~/mnt/tmp/cfv
+	cp Changelog ~/mnt/tmp/cfv/Changelog.txt
+	cp COPYING ~/mnt/tmp/cfv/COPYING.txt
+	cp cfv ~/mnt/tmp/2exe/cfv.py
+	todos ~/mnt/tmp/cfv/*.txt
+

## cfv 1.18

=== Makefile ===
--- 
+++ 
@@ -66,18 +66,19 @@
 	-rm cfv.bat cfv.txt
 
 cfv.txt: %.txt: %.1
-	man -l $< | sed -e 's/.//g' > $@
+	LANG=C man -l $< | sed -e 's/.//g' > $@
 
 distclean-winsrc: distclean cfv.txt
 	-rm Makefile cfv.1
 	mv cfv cfv.py
 	todos *.txt COPYING README Changelog cfv.bat cfv.py test/*.py
 
+PY2EXEDIR=/m/c/temp/cfv
 nsis-prepare: cfv.txt
 	#hahaha, ugly hardcodedhackness
-	cp cfv.txt cfv.nsi ~/mnt/tmp/cfv
-	cp Changelog ~/mnt/tmp/cfv/Changelog.txt
-	cp COPYING ~/mnt/tmp/cfv/COPYING.txt
-	cp cfv ~/mnt/tmp/2exe/cfv.py
-	todos ~/mnt/tmp/cfv/*.txt
+	cp cfv.txt cfv.nsi setup*.py $(PY2EXEDIR)
+	cp Changelog $(PY2EXEDIR)/Changelog.txt
+	cp COPYING $(PY2EXEDIR)/COPYING.txt
+	cp cfv $(PY2EXEDIR)/cfv.py
+	todos $(PY2EXEDIR)/*.txt

## cfv 1.18.3

=== Makefile ===
--- 
+++ 
@@ -73,7 +73,7 @@
 	mv cfv cfv.py
 	todos *.txt COPYING README Changelog cfv.bat cfv.py test/*.py
 
-PY2EXEDIR=/m/c/temp/cfv
+PY2EXEDIR=~/mnt/temp/cfv
 nsis-prepare: cfv.txt
 	#hahaha, ugly hardcodedhackness
 	cp cfv.txt cfv.nsi setup*.py $(PY2EXEDIR)

=== debian/changelog ===
cfv (1.18.3-2) unstable; urgency=low

  * Package cleanup below by Jari Aalto <jari.aalto@cante.net> - thanks!
  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt".
  * Update to Standards-Version to 3.9.3 and debhelper to 9.
  * Move to full dh(1) and simplify rules file. Move from deprecated
    python-support to dh_python2, see:
    http://wiki.debian.org/Python/TransitionToDHPython2
  * Fix build-depends-on-python-dev-with-no-arch-any (Lintian) by changing
    depends python-dev to python-all.

 -- Stefan Alfredsson <alfs@debian.org>  Thu, 10 May 2012 20:39:46 +0200

cfv (1.18.3-1) unstable; urgency=low

  * New upstream release and python 2.6 compatibility (Closes: #532056)
  * Included note in README.Debian about iso-8859-x
    and utf problems (Closes: #466591)
  * Improvements below by Krzysztof Klimonda (thanks!)
  * debian/rules:
    - Simplify rules, make it compatible with Python 2.6.
  * debian/control:
    - Add versioned Build-Depends on debhelper and python packages.
    - Add Homepage.
    - Make package depends on ${misc:Depends}.
  * debian/copyright:
    - Use GPL-2 instead of GPL symlink.
  * debian/compat:
    - Make package compatible with debhelper 7.


 -- Stefan Alfredsson <alfs@debian.org>  Sat, 08 Aug 2009 16:27:25 +0200  

cfv (1.18.2-1) unstable; urgency=low

  * New upstream release
  * Fix for py 2.5 "struct integer overflow warning" (Closes: #479037, #479037)
  * torrent clients are now suggested rather than recommended (Closes: #337796)
  * Color patch temporarily removed due to incompatiblitiy
    with new upsteam version

 -- Stefan Alfredsson <alfs@debian.org>  Tue, 24 Jun 2008 22:41:40 +0000

cfv (1.18.1-2) unstable; urgency=low

  * Color patch from "xi iota" <xiota@hotmail.com> applied.

 -- Stefan Alfredsson <alfs@debian.org>  Mon,  4 Feb 2008 19:50:15 +0100

cfv (1.18.1-1) unstable; urgency=low

  * New upstream release
  * Acknowledge FTBFS unrepresentable changes NMU (Closes: #357216).
    Thanks Matej!
  * Acknowledge python transition NMU (Closes: #380793).
    Thanks Pierre!
  * Bump Standards-Version to 3.7.3

 -- Stefan Alfredsson <alfs@debian.org>  Wed, 30 Jan 2008 06:57:24 +0100

cfv (1.18-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Update package to the last python policy (Closes: 380793)..
  * Bump Standards-Version to 3.7.2.
  * Bump DH_COMPAT to 4.

 -- Pierre Habouzit <madcoder@debian.org>  Sun,  3 Sep 2006 22:54:37 +0200

cfv (1.18-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Invoke `make distclean' to avoid spurious diffs.
    Closes: #357216.

 -- Matej Vela <vela@debian.org>  Mon, 27 Mar 2006 18:44:40 +0200

cfv (1.18-2) unstable; urgency=low

  * Fixed grammatical and spelling errors (closes: #298519)
  * Updated standards-version

 -- Stefan Alfredsson <alfs@debian.org>  Thu, 10 Mar 2005 07:13:18 +0100

cfv (1.18-1) unstable; urgency=low

  * New upstream release - adds sha1 and torrent related fixes

 -- Stefan Alfredsson <alfs@debian.org>  Fri, 14 Jan 2005 11:34:19 +0100

cfv (1.17-1) unstable; urgency=low

  * New upstream release
  * To use bittorrent checking, bittorrent or bittornado must (at the moment)
    be installed, therefore a Recommends: was added on these packages
    (Closes: #259391)

 -- Stefan Alfredsson <alfs@debian.org>  Fri, 16 Jul 2004 15:23:17 +0200

cfv (1.16-1) unstable; urgency=low

  * New upstream release

 -- Stefan Alfredsson <alfs@debian.org>  Fri, 21 Nov 2003 13:52:55 +0100

cfv (1.15-2) unstable; urgency=low

  * An automatically generated wrapper script tried to use python 2.2,
    due to a hardcoded version in debian/rules - updated
    the rules-file to use python2.3 (Closes: #207062).

 -- Stefan Alfredsson <alfs@debian.org>  Mon, 25 Aug 2003 07:16:29 +0200

cfv (1.15-1) unstable; urgency=low

  * New upstream release
  * Python dependency moved to 2.3, as per Matthias Klose request

 -- Stefan Alfredsson <alfs@debian.org>  Sun, 24 Aug 2003 18:54:03 +0200

cfv (1.13-1) unstable; urgency=low

  * New upstream release

 -- Stefan Alfredsson <alfs@debian.org>  Thu, 19 Dec 2002 07:39:44 +0100   

cfv (1.12-3) unstable; urgency=low

  * Somehow the last upload got lost in the upload queue of
    ftp.uk.debian.org
  * Updated to latest policy
  * Python dependency moved to 2.2

 -- Stefan Alfredsson <alfs@debian.org>  Mon, 25 Nov 2002 18:59:05 +0100

cfv (1.12-2) unstable; urgency=low

  * Added python-imaging suggestion, to get image dimensions for pictures.

 -- Stefan Alfredsson <alfs@debian.org>  Tue, 24 Sep 2002 14:54:06 +0200

cfv (1.12-1) unstable; urgency=low

  * New upstream release

 -- Stefan Alfredsson <alfs@debian.org>  Tue, 24 Sep 2002 12:04:36 +0200

cfv (1.11-1) unstable; urgency=low

  * New upstream release

 -- Stefan Alfredsson <alfs@debian.org>  Sun, 14 Apr 2002 21:40:43 +0200

cfv (1.10-1) unstable; urgency=low

  * New upstream release

 -- Stefan Alfredsson <alfs@debian.org>  Sat,  8 Dec 2001 00:04:22 +0100

cfv (1.9-4) unstable; urgency=low

  * Removed dependency on package not in debian archive (closes: #116867)
  * Upstream changes to support 2.1 (new python policy)

 -- Stefan Alfredsson <alfs@debian.org>  Mon,  5 Nov 2001 23:02:12 +0100

cfv (1.9-3) unstable; urgency=low

  * Update to the new python policy.

 -- Matthew Mueller <donut@azstarnet.com>  Sun,  4 Nov 2001 12:52:42 -0700

cfv (1.9-2) unstable; urgency=low

  * First upload to the debian archive; Previous versions have been
    packaged by the upstream author and offered locally, but to
    get the package into the official debian archive it must be
    maintained by a debian developer. Hence, this upload by me
    (after checking that the packaging was OK).

 -- Stefan Alfredsson <alfs@debian.org>  Wed, 19 Sep 2001 18:32:39 +0200

cfv (1.9-1) unstable; urgency=low

  * New release.

 -- Matthew Mueller <donut@charon.lan>  Mon,  3 Sep 2001 15:20:25 -0700

cfv (1.8-1) unstable; urgency=low

  * New release.



=== debian/control ===
Source: cfv
Section: utils
Priority: optional
Maintainer: Stefan Alfredsson <alfs@debian.org>
Build-Depends: python-all (>=2.6.7), debhelper (>= 9)
Standards-Version: 3.9.3
Homepage: http://cfv.sourceforge.net/

Package: cfv
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Suggests: python-imaging, bittorrent | bittornado
Description: versatile file checksum creator and verifier
 cfv is a utility to test and create a wide range of checksum
 verification files. It currently supports testing and creating
 sfv, sfvmd5, csv, csv2, csv4, md5, bsdmd5, torrent and crc files.
 Test-only support is available for par, par2.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/python/python.mk

override_dh_auto_install:
	make install-wrapper-only prefix=/usr mandir=/usr/share/man DESTDIR=debian/cfv
	mv debian/cfv/*.py debian/cfv/usr/share/pyshared/cfv.py

%:
	dh $@ --with python2

# End of file
